%{!?python_standard_lib: %define python_standard_lib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(standard_lib=1)")}

Name:           pyicq-t
Version:        0.8.1.5
Release:        13%{?dist}
Summary:        ICQ Transport for Jabber Servers

Group:          Applications/Internet
License:        GPLv2+
URL:            http://code.google.com/p/pyicqt/
Source0:        http://pyicqt.googlecode.com/files/pyicqt-%{version}.tar.gz
Source1:        pyicq-t.service
Source2:        pyicq-t-tmpfiles.conf
Patch0:         config.patch

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  systemd-units
Requires:       python-twisted-core
Requires:       python-twisted-web
Requires:       python-twisted-words
Requires:       python-imaging
Requires:       pyOpenSSL

Requires(pre): shadow-utils
Requires(pre): /usr/sbin/groupadd
Requires(pre): /usr/sbin/useradd
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
The ICQ Transport provides a gateway which allows Jabber users to
communicate with their contacts on the ICQ network.

The transport must be installed on the Jabber server, and it's
operation is nearly transparent to the user. They can interact with
their ICQ contacts in the same way as they do with their Jabber
contacts.

%package mysql
Summary: MySQL back end for ICQ transport
Group: Applications/Internet
Requires: MySQL-python
Requires: pyicq-t = %{version}-%{release}

%description mysql
MySQL back end for ICQ transport

%prep
%setup -q -n pyicqt-%{version}
%patch0 -p0

%build
%{__python}    %{python_standard_lib}/compileall.py .
%{__python} -O %{python_standard_lib}/compileall.py .

%install
rm -rf %{buildroot}
chmod 644 src/chardet_utf/*.py
chmod 644 tools/managessi.py
chmod 644 tools/migrate.py

mkdir -p %{buildroot}/etc/pyicq-t
mkdir -p %{buildroot}%{_datadir}/pyicq-t
mkdir -p %{buildroot}/var/spool/pyicq-t

cp config_example.xml %{buildroot}/etc/pyicq-t/config.xml

cp PyICQt.py* %{buildroot}%{_datadir}/pyicq-t
cp -r data %{buildroot}%{_datadir}/pyicq-t
cp -r src %{buildroot}%{_datadir}/pyicq-t

install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/pyicq-t.service
install -D -m 0644 %{SOURCE2} %{buildroot}%{_prefix}/lib/tmpfiles.d/%{name}.conf

%clean
rm -rf %{buildroot}

%pre
/usr/sbin/groupadd -f -r pyicqt
/usr/sbin/useradd -c "PyICQt" -g pyicqt \
        -s /sbin/nologin -r -d /var/spool/pyicq-t pyicqt 2> /dev/null || :

%post
if [ $1 -eq 1 ] ; then 
        /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
        /bin/systemctl --no-reload disable apache-httpd.service > /dev/null 2>&1 || :
        /bin/systemctl stop apache-httpd.service > /dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
        /bin/systemctl try-restart apache-httpd.service >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog config_example.xml COPYING INSTALL NEWS README tools/managessi.py tools/migrate.py

%{_unitdir}/pyicq-t.service

%attr(0700,pyicqt,pyicqt) %dir %{_sysconfdir}/pyicq-t
%attr(0600,pyicqt,pyicqt) %config(noreplace) %{_sysconfdir}/pyicq-t/config.xml

%{_prefix}/lib/tmpfiles.d/%{name}.conf

%exclude %{_datadir}/pyicq-t/src/xdb/mysql.py*
%dir %{_datadir}/pyicq-t
%{_datadir}/pyicq-t/data
%attr(0755,root,root) %{_datadir}/pyicq-t/PyICQt.py
%{_datadir}/pyicq-t/PyICQt.pyc
%{_datadir}/pyicq-t/PyICQt.pyo
%{_datadir}/pyicq-t/src

%attr(0700,pyicqt,pyicqt) %dir %{_localstatedir}/spool/pyicq-t

%files mysql
%defattr(-,root,root,-)
%doc tools/db-setup.mysql

%{_datadir}/pyicq-t/src/xdb/mysql.py*

%changelog
* Mon Jun 11 2012 Stefan Schulze Frielinghaus <stefansf@fedoraproject.org> - 0.8.1.5-13
- Apply latest packaging guidelines updates

* Fri Jun 1 2012 Stefan Schulze Frielinghaus <stefansf@fedoraproject.org> - 0.8.1.5-12
- Remove directory /var/run/pyicq-t due to change of /var/run to tmpfs

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jun 12 2011 Stefan Schulze Frielinghaus <stefansf@fedoraproject.org> - 0.8.1.5-10
- Upgrade to systemd

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Feb 5 2011 Stefan Schulze Frielinghaus <stefansf@fedoraproject.org> - 0.8.1.5-8
- Update package to follow latest packaging guidelines

* Thu Jan 27 2011 Stefan Schulze Frielinghaus <stefansf@fedoraproject.org> - 0.8.1.5-7
- Create /var/run/pyicq-t automatically by the init script

* Wed Aug 11 2010 Stefan Schulze Frielinghaus <stefansf@fedoraproject.org> - 0.8.1.5-6
- Rebuilt for Python 2.7

* Tue Sep 15 2009 Stefan Schulze Frielinghaus <stefan@seekline.net> - 0.8.1.5-5
- Fixed inclusion of /usr/share/pyicq-t
- Create a default config file, removed ghost entry
- Fixed init script, status didn't show the application name

* Mon Sep 14 2009 Stefan Schulze Frielinghaus <stefan@seekline.net> - 0.8.1.5-4
- Make init script more compatible, e.g. "exit 2" if invalid arguments supplied,
  killproc needs prog name otherwise the signal won't be used and a couple of
  other minor fixes.

* Mon Sep 14 2009 Stefan Schulze Frielinghaus <stefan@seekline.net> - 0.8.1.5-3
- Added try-restart, reload and force-reload to the init script
- Fixed permissions
- Fixed typo in config.patch

* Mon Sep 14 2009 Stefan Schulze Frielinghaus <stefan@seekline.net> - 0.8.1.5-2
- Some whitespace fixes
- Added shadow-utils as a requirement
- Removed empty config file creation and changed it to copy an example config file

* Fri Sep 11 2009 Stefan Schulze Frielinghaus <stefan@seekline.net> - 0.8.1.5-1
- New upstream release.
- Changed init script to run pyicq-t as non root user and changed permissions of the config
  file because it contains a cleartext password.
- Changed start/stop time of the init script to fix race condition with ejabberd.
- Changed init script to call "PyICQt.py" directly and not via
  "python PyICQt.py" this makes it easier to write a SELinux policy for.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 15 2009 Michael Fleming <mfleming+rpm@thatfleminggent.com> - 0.8.1.3-1
- New upstream release

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 13 2009 Michael Fleming <mfleming+rpm@enlartenment.com> - 0.8.1-1
- New upstream release

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.8-7.b
- Rebuild for Python 2.6

* Fri Aug 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8-6.b
- fix license tag

* Fri Jul 11 2008 Michael Fleming <mfleming+rpm@enlartenment.com> - 0.8-5.b
- Fix typo in configuration

* Sat Feb 23 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.8-4.b
- Update to 0.8b

* Wed Jun 27 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.8-4.a
- Update to 0.8a

* Fri Dec  8 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.8-3
- Fix up requires for mysql subpackage.

* Fri Dec  8 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.8-2
- Bump release and rebuild for Python 2.5
- Use macro for path to standard library
- Eliminate provides/obsoletes pyicqt

* Tue Oct 31 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.8-1
- Update to 0.8 (see http://www.blathersource.org/releases_view.php?projid=pyicq-t&relid=28)
- Fix init script to create subsys lock file

* Thu Sep  7 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7-5
- Really no longer ghost *.pyo files

* Mon Aug 14 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7-4
- No longer ghost *.pyo files

* Wed Aug  2 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7-3
- Rename more stuff to pyicq-t

* Sun Jul 30 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7-2
- Rename to pyicq-t
- Change Group tag

* Wed Jul 26 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7-1
- First version for Fedora Extras

